spring:
  application:
    name: system-server

  profiles:
    active: dev

  config:
    import:
      - optional:nacos:common-dev.yaml
      - optional:nacos:${spring.application.name}-${spring.profiles.active}.yaml

  cloud:
    nacos:
      server-addr: ${NACOS_ADDR:localhost:8848}
      namespace: ${NACOS_NAMESPACE:dev}
      username: ${NACOS_USERNAME:nacos}
      password: ${NACOS_PASSWORD:nacos}
      discovery:
        namespace: ${NACOS_NAMESPACE:dev}
      config:
        namespace: ${NACOS_NAMESPACE:dev}
        file-extension: yaml
